Bug 616072 - Cluster node exits with authorization error
Cluster node exits with authorization error
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
urgent Severity urgent
: 1.3
: ---
Assigned To: Alan Conway
Jeff Needle
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 11:28 EDT by Alan Conway
Modified: 2010-10-20 09:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-20 07:28:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Conway 2010-07-19 11:28:42 EDT
Description of problem:

2010-07-19 11:18:29 critical cluster(20.0.100.33:4118 READY/error) local error 646 did not occur on member 20.0.100.32:32127: unauthorized-access: authorised user id : anonymous but user id in message declared as guest (qpid/broker/SemanticState.cpp:473)

Version-Release number of selected component (if applicable):

qpid-cpp-server-devel-0.7.946106-6.el5
qpid-cpp-client-0.7.946106-6.el5
qpid-cpp-server-store-0.7.946106-6.el5
qpid-cpp-client-ssl-0.7.946106-6.el5
qpid-cpp-server-ssl-0.7.946106-6.el5
python-qpid-0.7.946106-4.el5
qpidc-debuginfo-0.5.752581-34.el5
qpid-cpp-client-devel-0.7.946106-6.el5
qpid-cpp-server-0.7.946106-6.el5
qpid-cpp-server-cluster-0.7.946106-6.el5
qpid-tools-0.7.946106-6.el5

How reproducible: within 1 minute


Steps to Reproduce:

# Run this in a loop on each of 2 nodes: 

sudo service qpidd stop
sudo rm -rf /var/lib/qpidd/cluster/ /var/lib/qpidd/_cluster* /var/lib/qpidd/rhm
sudo service qpidd start
qpid-cluster guest/guest@localhost:5672
grep critical /tmp/qpidd.log
true

# qpidd.conf:
cluster-mechanism=ANONYMOUS
cluster-name=aconway-service-test
log-to-file=/tmp/qpidd.log
log-to-stderr=no
log-enable=info+
log-enable=debug+:qpidd

Actual results: node exits with critcal error above


Expected results: no errors


Additional info:
Comment 1 Alan Conway 2010-07-19 16:04:00 EDT
This is a problem using authentication in a cluster. 

Workaround is to use auth=no in a cluster.
Comment 2 Alan Conway 2010-07-20 17:09:52 EDT
Fixed in trunk 965979 mrg 1.3 release repo:
http://mrg1.lab.bos.redhat.com/git/?p=qpid.git;a=commitdiff;h=6deb521d9fedcd3ca728c491128bfe3aa0524881
Comment 3 Jiri Kolar 2010-08-13 05:44:18 EDT
appears on qpid-cpp-server-0.7.946106-6.el5
fixed on qpid-cpp-server-0.7.946106-11.el5

validated on RHEL5.5  i386 / x86_64 (no clustering on RHEL4)  

packages:

# rpm -qa | grep -E '(qpid|openais|rhm)' | sort -u
openais-0.80.6-16.el5
openais-devel-0.80.6-16.el5
python-qpid-0.7.946106-12.el5
qpid-cpp-client-0.7.946106-11.el5
qpid-cpp-client-devel-0.7.946106-11.el5
qpid-cpp-client-devel-docs-0.7.946106-11.el5
qpid-cpp-client-ssl-0.7.946106-11.el5
qpid-cpp-mrg-debuginfo-0.7.946106-11.el5
qpid-cpp-server-0.7.946106-11.el5
qpid-cpp-server-cluster-0.7.946106-11.el5
qpid-cpp-server-devel-0.7.946106-11.el5
qpid-cpp-server-ssl-0.7.946106-11.el5
qpid-cpp-server-store-0.7.946106-11.el5
qpid-cpp-server-xml-0.7.946106-11.el5
qpid-java-client-0.7.946106-7.el5
qpid-java-common-0.7.946106-7.el5
qpid-tools-0.7.946106-8.el5
rhm-docs-0.7.946106-5.el5
rh-tests-distribution-MRG-Messaging-qpid_common-1.6-51


->VERIFIED

Note You need to log in before you can comment on or make changes to this bug.